# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.CaptureFlagData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.CaptureFlagData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.CaptureFlagData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# CaptureFlagData 

###
Companion object CaptureFlagData

#### final case class CaptureFlagData(pos: PlacementData, faction: types.PlanetSideEmpire.Value, owningBaseGuid: Int, targetBaseGuid: Int, milliseconds_remaining: Long) extends ConstructorData with Product with Serializable

A representation of the capture flag portion of `ObjectCreateDetailedMessage` packet data. This creates what is known as a lattice logic unit, or LLU. It is originally spawned in the base object called the lattice link socket during certain base captures.
Players can not directly interact with the capture flag. Whenever an applicable player is nearby, that client will rapidly fire off `ItemUseMessage` packets to the server. The capture flag will be picked-up by the player and stored in a special slot that is not part of their inventory. A special dropping keybind has been prepared to relinquish the capture flag back to the game world.

pos

  the position + orientation + velocity of the LLU where it is dropped/spawned

faction

  the empire whose players may interact with this capture flag

owningBaseGuid

  The GUID of the base that this LLU belongs to

targetBaseGuid

  The GUID of the base that this LLU must be taken to

milliseconds_remaining

  The number of milliseconds left on the timer for this LLU - should match the CC timer

Source
  CaptureFlagData.scala

Linear Supertypes
Serializable, Product, Equals, ConstructorData, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CaptureFlagData
2. Serializable
3. Product
4. Equals
5. ConstructorData
6. StreamBitSize
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CaptureFlagData(pos: PlacementData, faction: types.PlanetSideEmpire.Value, owningBaseGuid: Int, targetBaseGuid: Int, milliseconds_remaining: Long)

   pos

     the position + orientation + velocity of the LLU where it is dropped/spawned

   faction

     the empire whose players may interact with this capture flag

   owningBaseGuid

     The GUID of the base that this LLU belongs to

   targetBaseGuid

     The GUID of the base that this LLU must be taken to

   milliseconds_remaining

     The number of milliseconds left on the timer for this LLU - should match the CC timer

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     CaptureFlagData → StreamBitSize
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  val faction: types.PlanetSideEmpire.Value
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val milliseconds_remaining: Long
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  val owningBaseGuid: Int
17.  val pos: PlacementData
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val targetBaseGuid: Int
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ConstructorData

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped